//
//  ViewController.m
//  WeatherParser
//
//  Created by kelley.ricker on 12/15/15.
//  Copyright © 2015 GrapeCity. All rights reserved.
//

#import "ViewController.h"
#import "JSONParser.h"
#import "XMLParser.h"
@interface ViewController (){
    NSMutableArray *jsonArray;
    NSMutableArray *xmlArray;
}

@end


@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.grid = [[FlexGrid alloc] init];
    self.chart = [[FlexChart alloc] init];
    self.chart.bindingX = @"date";
    XuniSeries *humidity = [[XuniSeries alloc] initForChart:_chart binding:@"humidity, humidity" name:@"Humidity %"];
    XuniSeries *high = [[XuniSeries alloc] initForChart:_chart binding:@"highTemp, highTemp" name:@"High Temp (F)"];
    XuniSeries *low = [[XuniSeries alloc] initForChart:_chart binding:@"lowTemp, lowTemp" name:@"Low Temp (F)"];
    high.chartType = XuniChartTypeLine;
    low.chartType = XuniChartTypeLine;
    low.color = [UIColor colorWithRed:.33 green:.7 blue:.33 alpha:.4];
    [self.chart.series addObject:humidity];
    [self.chart.series addObject:high];
    [self.chart.series addObject:low];
    self.chart.legendToggle = true;
    self.chart.axisY.majorTickLength = 0;
    self.chart.axisY.lineWidth = 0;
    
    humidity.color = [UIColor colorWithRed:.74 green:.85 blue:.95 alpha:1];
    high.borderWidth = 2.5;
    self.chart.legend.orientation = XuniChartLegendOrientationAuto;
    self.chart.legend.position = XuniChartLegendPositionBottom;
    
    jsonArray = [[NSMutableArray alloc] init];
    JSONParser *json = [[JSONParser alloc] initWithArray:jsonArray];
    [json parseDataFor:self.grid];
    
    xmlArray = [[NSMutableArray alloc] init];
    XMLParser *xmlParse = [[XMLParser alloc] initWithArray:xmlArray];
    [xmlParse parseDataFor: self.chart];
    
    [self.view addSubview:self.grid];
    [self.view addSubview:self.chart];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (void)viewDidLayoutSubviews{
    [super viewDidLayoutSubviews];
    self.chart.frame = CGRectMake(10, 10, self.view.bounds.size.width - 20 , self.view.bounds.size.height/2 - 15);
    self.grid.frame = CGRectMake(0, self.view.bounds.size.height/2 , self.view.bounds.size.width, self.view.bounds.size.height/2);
}

@end
